package io.hmit.modules.user.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
 * 区市用户列表
 *
 * @author syf syf0412@qq.com
 * @since 1.0.0 2020-12-25
 */
@Data
@ApiModel(value = "区市用户列表")
public class AreaUserDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "区市ID")
	private Long id;

	@ApiModelProperty(value = "区市名")
	private String name;

	@ApiModelProperty(value = "用户信息")
	private List<UserDTO> userInfo;

	public AreaUserDTO assembleAreaUser(Long areaId,String areaName,List<UserDTO> userDTO){
		AreaUserDTO areaUserDTO = new AreaUserDTO();
		areaUserDTO.setId(areaId);
		areaUserDTO.setName(areaName);
		areaUserDTO.setUserInfo(userDTO);
		return areaUserDTO;
	}
}
